Section ID:
DOC-API-MODEL-schema-1he7ulevif#overview
WindowingConfig
Configuration for windowing strategy
Meaning and usage
Section ID: DOC-API-MODEL-schema-1he7ulevif#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1he7ulevif#fields
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
| In responses | View fields |
In requests
Section ID: DOC-API-MODEL-schema-1he7ulevif#request
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1he7ulevif#request-field-maxmessagesmaxMessages | string (int64) | Optional | See meaning below. Pattern: ^-?\d+$. |
maxMessages
Maximum number of conversation messages to retain in the context window.
Default: 100
In responses
Section ID: DOC-API-MODEL-schema-1he7ulevif#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1he7ulevif#field-maxmessagesSection ID: DOC-API-MODEL-schema-1he7ulevif#response-field-maxmessagesmaxMessages | string (int64) | Optional | See meaning below. Pattern: ^-?\d+$. |
maxMessages
Maximum number of conversation messages to retain in the context window.
Default: 100
Where used
Section ID: DOC-API-MODEL-schema-1he7ulevif#where-used
| Reference | Relationship |
|---|---|
| Get full conversation state | POST /api/v1/llm/conversation-state |
| Update context management settings | POST /api/v1/llm/update-context-management-settings |
| Create a new conversation thread | POST /api/v1/llm/create-thread |
Models containing this value
| Model | Relationship |
|---|---|
| ContextManagementSettings | Nested in model |
| ContextManagementSettings | Nested in model |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1he7ulevif